Bug 820795 - project-wide search not displaying properly if source string is too long
project-wide search not displaying properly if source string is too long
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.6-SNAPSHOT
Unspecified Unspecified
unspecified Severity high
: ---
: 1.6-beta-1
Assigned To: David Mason
Joyce Chang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-10 21:23 EDT by Joyce Chang
Modified: 2013-03-03 22:19 EST (History)
3 users (show)

See Also:
Fixed In Version: Zanata version 1.6.0-beta-2-SNAPSHOT (20120518-0026).
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 20:58:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot (147.97 KB, image/png)
2012-05-10 21:26 EDT, Joyce Chang
no flags Details

  None (edit)
Description Joyce Chang 2012-05-10 21:23:30 EDT
Description of problem:
Search a word from source against translated entries, the result didn't display correctly if source string is too long


Version-Release number of selected component (if applicable):

How reproducible:
always

Steps to Reproduce:
1.visit a project with sufficiently long source entries against translated entries,e.g.aboutFedora
2.search a word close to the end, from a long source entry 
  
Actual results:
search results displaying source entry was cut short, not showing search word

Expected results:
search results would show search word rendered from source entry 

Additional info:
Comment 1 Joyce Chang 2012-05-10 21:26:33 EDT
Created attachment 583692 [details]
screenshot
Comment 2 David Mason 2012-05-17 03:39:11 EDT
Fixed in 1.6-beta-1

See: https://github.com/zanata/zanata/commit/556d8f61cdc4b16eb20dda3b4ba8bc8404d917e6
Comment 3 Joyce Chang 2012-05-17 23:54:54 EDT
verified in Zanata version 1.6.0-beta-2-SNAPSHOT (20120518-0026).

Note You need to log in before you can comment on or make changes to this bug.